Deprecate auth_uri option

Bug #1759098 reported by zhongshengping on 2018-03-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-aodh
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-barbican
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-ceilometer
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-cinder
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-cloudkitty
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-congress
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-designate
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-ec2api
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-freezer
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-glance
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-glare
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-gnocchi
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-heat
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-ironic
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-keystone
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-magnum
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-manila
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-mistral
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-neutron
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-nova
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-octavia
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-openstack-cookiecutter
Undecided
zhongshengping
puppet-panko
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-sahara
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-senlin
Undecided
zhongshengping
puppet-tacker
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-trove
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-vitrage
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-watcher
Undecided
zhongshengping
Rocky
Undecided
zhongshengping
puppet-zaqar
Undecided
zhongshengping
Rocky
Undecided
zhongshengping

Bug Description

2018-03-27 00:32:02.855 4805 WARNING oslo_config.cfg [-] Option "auth_uri" from group "keystone_authtoken" is deprecated. Use option "www_authenticate_uri" from group "keystone_authtoken".

https://review.openstack.org/#/c/508522/

zhongshengping (chdzsp) on 2018-03-27
Changed in puppet-freezer:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-03-27
information type: Public → Private
information type: Private → Public
information type: Public → Private
zhongshengping (chdzsp) on 2018-03-27
Changed in puppet-freezer:
milestone: none → 2.0.0
zhongshengping (chdzsp) on 2018-04-03
Changed in puppet-aodh:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
information type: Private → Public
Changed in puppet-barbican:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-ceilometer:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-cinder:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
zhongshengping (chdzsp) on 2018-04-03
Changed in puppet-cloudkitty:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 2.0.0
Changed in puppet-congress:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-designate:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-ec2api:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-glance:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-glare:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 2.0.0
Changed in puppet-gnocchi:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-heat:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-ironic:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-keystone:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-magnum:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-manila:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-mistral:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-neutron:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-nova:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-octavia:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-openstack-cookiecutter:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-panko:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
zhongshengping (chdzsp) on 2018-04-03
Changed in puppet-sahara:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-tacker:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-trove:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-vitrage:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 3.0.0
zhongshengping (chdzsp) on 2018-04-03
Changed in puppet-watcher:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0
Changed in puppet-zaqar:
assignee: nobody → zhongshengping (chdzsp)
milestone: none → 13.0.0

Fix proposed to branch: master
Review: https://review.openstack.org/558340

Changed in puppet-aodh:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558344

Changed in puppet-keystone:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558361

Changed in puppet-neutron:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558419

Change abandoned by zhongshengping (chdzsp@163.com) on branch: master
Review: https://review.openstack.org/558419

Fix proposed to branch: master
Review: https://review.openstack.org/558431

Changed in puppet-trove:
status: New → In Progress
Changed in puppet-congress:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558432

Changed in puppet-freezer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558433

Changed in puppet-vitrage:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558434

Changed in puppet-magnum:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558435

Changed in puppet-mistral:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558436

Changed in puppet-watcher:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558437

Changed in puppet-tacker:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558438

Changed in puppet-octavia:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558439

Changed in puppet-glare:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558440

Changed in puppet-ec2api:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558441

Changed in puppet-sahara:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558442

Changed in puppet-manila:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558443

Changed in puppet-heat:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558444

Changed in puppet-gnocchi:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558445

Changed in puppet-designate:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558447

Changed in puppet-zaqar:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558446

Changed in puppet-panko:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558448

Changed in puppet-glance:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558449

Changed in puppet-ironic:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558450

Changed in puppet-nova:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558451

Changed in puppet-barbican:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558452

Changed in puppet-cinder:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558453

Changed in puppet-ceilometer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/558454

Changed in puppet-cloudkitty:
status: New → In Progress
zhongshengping (chdzsp) on 2018-04-03
Changed in puppet-openstack-cookiecutter:
status: New → In Progress

Change abandoned by zhongshengping (chdzsp@163.com) on branch: master
Review: https://review.openstack.org/558419

Change abandoned by zhongshengping (chdzsp@163.com) on branch: master
Review: https://review.openstack.org/558419
Reason: see another patch[1].

[1]https://review.openstack.org/#/c/558361/

Reviewed: https://review.openstack.org/558344
Committed: https://git.openstack.org/cgit/openstack/puppet-keystone/commit/?id=73d07c00f4e05cb14408f16560cbe20283955a1e
Submitter: Zuul
Branch: master

commit 73d07c00f4e05cb14408f16560cbe20283955a1e
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 11:09:12 2018 +0800

    Deprecate auth_uri option

    Option "auth_uri" from group "keystone_authtoken" is deprecated[1].
    Use option "www_authenticate_uri" from group "keystone_authtoken".

    [1]: https://review.openstack.org/#/c/508522/

    Change-Id: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-keystone:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558361
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=dfd67c27a3b77b42d03fd2c7323c2447e1fada52
Submitter: Zuul
Branch: master

commit dfd67c27a3b77b42d03fd2c7323c2447e1fada52
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 12:57:24 2018 +0800

    Deprecate auth_uri parameter

    Option "auth_uri" from group "keystone_authtoken" is deprecated[1].
    Use option "www_authenticate_uri" from group "keystone_authtoken".

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I092efd9c530b3108a88c4f6f364f7b4adbaf6a80
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-neutron:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558450
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=0f3ff5e94818f0689ff5b5fe11f0fa01916c127b
Submitter: Zuul
Branch: master

commit 0f3ff5e94818f0689ff5b5fe11f0fa01916c127b
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:02 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I09095ca8bb36420f77cd2e372d7b478f28930fc8
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-ironic:
status: In Progress → Fix Released
Mohammed Naser (mnaser) wrote :

This change affects downstream as a lot of the providers depend on auth_uri. We need to keep this in place and make sure that we update all providers to use the new URL.

Reviewed: https://review.openstack.org/558827
Committed: https://git.openstack.org/cgit/openstack/puppet-keystone/commit/?id=b5a94c653fbceab117db082538f80dbfc5fb2b2c
Submitter: Zuul
Branch: master

commit b5a94c653fbceab117db082538f80dbfc5fb2b2c
Author: Alex Schultz <email address hidden>
Date: Wed Apr 4 07:54:54 2018 -0600

    Continue to define auth_uri

    The auth_uri is used by all the providers so it needs to be defined
    until it's been completely removed.

    Change-Id: I707ed89db76d1457ec768653237cb38a200d6692
    Related-Bug: #1759098
    Related-Bug: #1761171

Changed in puppet-nova:
assignee: zhongshengping (chdzsp) → Tobias Urdin (tobias-urdin)

Fix proposed to branch: master
Review: https://review.openstack.org/558982

Changed in puppet-nova:
assignee: Tobias Urdin (tobias-urdin) → zhongshengping (chdzsp)

Reviewed: https://review.openstack.org/558433
Committed: https://git.openstack.org/cgit/openstack/puppet-freezer/commit/?id=7c516ec23f589a89d857555dbfbb4ded93f63c2a
Submitter: Zuul
Branch: master

commit 7c516ec23f589a89d857555dbfbb4ded93f63c2a
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:00 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I9966c0443f8199c31a66adc1465c6336a7c71dd7
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-freezer:
status: In Progress → Fix Released
Changed in puppet-glare:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558440
Committed: https://git.openstack.org/cgit/openstack/puppet-glare/commit/?id=98651fc0025841a4758a7048065be8171bda98fb
Submitter: Zuul
Branch: master

commit 98651fc0025841a4758a7048065be8171bda98fb
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:00 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I5e84034ada8dffad946ae32746a11cb31488bfec
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-congress:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558432
Committed: https://git.openstack.org/cgit/openstack/puppet-congress/commit/?id=fc67380b905ed0d4dce5d95de916fda6748d03bf
Submitter: Zuul
Branch: master

commit fc67380b905ed0d4dce5d95de916fda6748d03bf
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:54:59 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I4c80914e75e341c939bd765d94eb233441cf0d61
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Reviewed: https://review.openstack.org/558455
Committed: https://git.openstack.org/cgit/openstack/puppet-cloudkitty/commit/?id=6cb665fbead2d10ca50b3a5c01fe3739a4e5cbea
Submitter: Zuul
Branch: master

commit 6cb665fbead2d10ca50b3a5c01fe3739a4e5cbea
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:54:59 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: Id49bdfc04d7f938955aeaeb4c24fc53af1a26d4e
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-cloudkitty:
status: In Progress → Fix Released
Changed in puppet-magnum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558435
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=71097573612c0562329ff3e7697433e365742d77
Submitter: Zuul
Branch: master

commit 71097573612c0562329ff3e7697433e365742d77
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:02 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I68733b2be276fb6c3313fc116dfbaf18cf746ac2
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Reviewed: https://review.openstack.org/558439
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=808cb7e7d7be11fab8ae0f396faab057d9629bc8
Submitter: Zuul
Branch: master

commit 808cb7e7d7be11fab8ae0f396faab057d9629bc8
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:03 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: Icef9a4028767a889ae522cc1e75128a3d3546418
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-octavia:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558452
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=e2564755c2070d58f88215dde31236f14eae5c61
Submitter: Zuul
Branch: master

commit e2564755c2070d58f88215dde31236f14eae5c61
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:54:58 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I34a4a90e23683f5938b3047c31899ffae1dadd73
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-barbican:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558438
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=d0e061d2792ae6a2508a83fff9c461220d864aa8
Submitter: Zuul
Branch: master

commit d0e061d2792ae6a2508a83fff9c461220d864aa8
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:04 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: Ie935a2f30e999efa673cef617c1fd46c8d48afa2
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-tacker:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558340
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=f1237a940d1f5309292d815166628de7daeff759
Submitter: Zuul
Branch: master

commit f1237a940d1f5309292d815166628de7daeff759
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 11:01:21 2018 +0800

    Deprecate auth_uri option

    Option "auth_uri" from group "keystone_authtoken" is deprecated[1].
    Use option "www_authenticate_uri" from group "keystone_authtoken".

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I89f82693b22cc61c97f9df3fbbd2bdbfe482f549
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-aodh:
status: In Progress → Fix Released
Changed in puppet-designate:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558447
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=550af1d28201f6673645dc9d4414ceb30010c71c
Submitter: Zuul
Branch: master

commit 550af1d28201f6673645dc9d4414ceb30010c71c
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:54:59 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: Ie9c4c339374af50f5d1a8b3dbf6bf632c5bf06ef
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-ec2api:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558441
Committed: https://git.openstack.org/cgit/openstack/puppet-ec2api/commit/?id=c5697efc43965b2bed0ff2b4fccc7f69f173be3f
Submitter: Zuul
Branch: master

commit c5697efc43965b2bed0ff2b4fccc7f69f173be3f
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:00 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: Ie7a5a791f7fafaf9bd60aea2e6bd84e5f9c3f68f
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-manila:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558443
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=f7f8cb0298a9ed8ac28de8ab0c17659854a44f27
Submitter: Zuul
Branch: master

commit f7f8cb0298a9ed8ac28de8ab0c17659854a44f27
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:02 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I480fac61dfef991a98e75966c8cc741c07292cc9
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Reviewed: https://review.openstack.org/558982
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=4b6e556d89660901392a5626e6da359d9561063b
Submitter: Zuul
Branch: master

commit 4b6e556d89660901392a5626e6da359d9561063b
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Apr 5 10:54:06 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I1cd487e845adc0f53d970bf916385fdaf2c32022
    Closes-Bug: #1759098

Changed in puppet-heat:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558444
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=cea5d3c5b687815e3d86703b3311d6c9279fc812
Submitter: Zuul
Branch: master

commit cea5d3c5b687815e3d86703b3311d6c9279fc812
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:01 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I680e8060f6a8bf3befd4aa5d39f2b01ddeb5e859
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Reviewed: https://review.openstack.org/558448
Committed: https://git.openstack.org/cgit/openstack/puppet-panko/commit/?id=73efe50ea6aec3fb15b19af0630edc33b55e9453
Submitter: Zuul
Branch: master

commit 73efe50ea6aec3fb15b19af0630edc33b55e9453
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:04 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I86e821acb6261ab80fdda22dfe104f8a83411b2e
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-panko:
status: In Progress → Fix Released
Changed in puppet-zaqar:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558446
Committed: https://git.openstack.org/cgit/openstack/puppet-zaqar/commit/?id=19dc2c1e2f341d842dbf3a49f274ed66e8458abf
Submitter: Zuul
Branch: master

commit 19dc2c1e2f341d842dbf3a49f274ed66e8458abf
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:05 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: Icf6c42182b10cdfb07461923f7fd41fccb0f9013
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Reviewed: https://review.openstack.org/558453
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=e916d71a074cc68edf58766a3f66cabe66e4ce54
Submitter: Zuul
Branch: master

commit e916d71a074cc68edf58766a3f66cabe66e4ce54
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:54:59 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I7072db60688fdafe122c1a9fd2b06f21f0a695e5
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-cinder:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558445
Committed: https://git.openstack.org/cgit/openstack/puppet-gnocchi/commit/?id=5526cda66f9617cbff8ef9ee8ff8b3f48ed59891
Submitter: Zuul
Branch: master

commit 5526cda66f9617cbff8ef9ee8ff8b3f48ed59891
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:01 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: Ie5ea4578879fc8aa21bb27e228b1eea52200cdb7
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-gnocchi:
status: In Progress → Fix Released
Changed in puppet-glance:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558449
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=6b0c3d4855720d381bcc054c39379100fdf0de6f
Submitter: Zuul
Branch: master

commit 6b0c3d4855720d381bcc054c39379100fdf0de6f
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:00 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I081c6f8c791ef7d4dc1d5bf8dfc2676c73e66734
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Reviewed: https://review.openstack.org/558436
Committed: https://git.openstack.org/cgit/openstack/puppet-mistral/commit/?id=ec6a33fb52f9270db8cf77d980b02d3ab9857d89
Submitter: Zuul
Branch: master

commit ec6a33fb52f9270db8cf77d980b02d3ab9857d89
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:03 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I034f67b503bb1f579c18bc3b61208984e577d6ba
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-mistral:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558442
Committed: https://git.openstack.org/cgit/openstack/puppet-sahara/commit/?id=6abd7a48a26fdb3f056cb5b9894386cd0b56cafa
Submitter: Zuul
Branch: master

commit 6abd7a48a26fdb3f056cb5b9894386cd0b56cafa
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:04 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I8b7a88535550831b4390dfcc5025fa3bb34be49c
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-sahara:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-aodh 13.0.0 release.

This issue was fixed in the openstack/puppet-barbican 13.0.0 release.

This issue was fixed in the openstack/puppet-cinder 13.0.0 release.

This issue was fixed in the openstack/puppet-cloudkitty 2.0.0 release.

This issue was fixed in the openstack/puppet-congress 13.0.0 release.

This issue was fixed in the openstack/puppet-designate 13.0.0 release.

This issue was fixed in the openstack/puppet-ec2api 13.0.0 release.

This issue was fixed in the openstack/puppet-freezer 2.0.0 release.

This issue was fixed in the openstack/puppet-glance 13.0.0 release.

This issue was fixed in the openstack/puppet-glare 2.0.0 release.

This issue was fixed in the openstack/puppet-gnocchi 13.0.0 release.

This issue was fixed in the openstack/puppet-heat 13.0.0 release.

This issue was fixed in the openstack/puppet-ironic 13.0.0 release.

This issue was fixed in the openstack/puppet-keystone 13.0.0 release.

This issue was fixed in the openstack/puppet-magnum 13.0.0 release.

This issue was fixed in the openstack/puppet-manila 13.0.0 release.

This issue was fixed in the openstack/puppet-mistral 13.0.0 release.

This issue was fixed in the openstack/puppet-neutron 13.0.0 release.

This issue was fixed in the openstack/puppet-octavia 13.0.0 release.

This issue was fixed in the openstack/puppet-panko 13.0.0 release.

This issue was fixed in the openstack/puppet-sahara 13.0.0 release.

This issue was fixed in the openstack/puppet-tacker 13.0.0 release.

This issue was fixed in the openstack/puppet-zaqar 13.0.0 release.

Reviewed: https://review.openstack.org/558437
Committed: https://git.openstack.org/cgit/openstack/puppet-watcher/commit/?id=1c23b8e61e27eb0ae88f5dbc73da9dd95c94873e
Submitter: Zuul
Branch: master

commit 1c23b8e61e27eb0ae88f5dbc73da9dd95c94873e
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:05 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I35fd2cc9b91148ab23793075862483940d92798e
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-watcher:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558451
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=20d93c4148c3d5082315263e7754267f50cb46bd
Submitter: Zuul
Branch: master

commit 20d93c4148c3d5082315263e7754267f50cb46bd
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:03 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I0dd36ef1f1f5dcdc57413736ecb8f2555712c36d
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-nova:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558454
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=54aa99c544e0c1fb2ad813a92fbb5a61d2717391
Submitter: Zuul
Branch: master

commit 54aa99c544e0c1fb2ad813a92fbb5a61d2717391
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:54:59 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I699fbb64d0e345f74751431e362620ce6c15ec88
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Closes-Bug: #1759098

Changed in puppet-ceilometer:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/558983
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=fe4fc654f4e45cba0293c94f1b16bfda7d2a7a83
Submitter: Zuul
Branch: master

commit fe4fc654f4e45cba0293c94f1b16bfda7d2a7a83
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Apr 5 10:59:00 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: Icdcf8e0b6dc85d40f205cf65a993c4bc93f61d89
    Closes-Bug: #1759098

Reviewed: https://review.openstack.org/558434
Committed: https://git.openstack.org/cgit/openstack/puppet-vitrage/commit/?id=e6fc31d0ad67b488c25a28188446e0a3aefd6ad8
Submitter: Zuul
Branch: master

commit e6fc31d0ad67b488c25a28188446e0a3aefd6ad8
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:04 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: I4494127d11456a237af33cc969bde2dae081ce9c
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Depends-On: I1bb3489acf1f591eefbad91bdbb666b21a53238a
    Closes-Bug: #1759098

Changed in puppet-vitrage:
status: In Progress → Fix Released
zhongshengping (chdzsp) on 2018-05-09
Changed in puppet-openstack-cookiecutter:
status: In Progress → Fix Released
zhongshengping (chdzsp) on 2018-05-11
Changed in puppet-senlin:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-trove:
assignee: zhongshengping (chdzsp) → Tobias Urdin (tobias-urdin)
Changed in puppet-senlin:
status: New → Fix Released
zhongshengping (chdzsp) on 2018-05-15
Changed in puppet-trove:
assignee: Tobias Urdin (tobias-urdin) → zhongshengping (chdzsp)

Reviewed: https://review.openstack.org/558431
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=4e3341f58988bf938b409cc35a97b8ba57d87a07
Submitter: Zuul
Branch: master

commit 4e3341f58988bf938b409cc35a97b8ba57d87a07
Author: ZhongShengping <chdzsp@163.com>
Date: Tue Apr 3 16:55:04 2018 +0800

    Deprecate auth_uri option

    Option auth_uri from group keystone_authtoken is deprecated[1].
    Use option www_authenticate_uri from group keystone_authtoken.

    [1]https://review.openstack.org/#/c/508522/

    Change-Id: If7049561c6a9e94fc5074112db9597cd8cb6996e
    Depends-On: I4c82a63baabd6b9304b302c97cd751a0103d8316
    Depends-On: I0dd36ef1f1f5dcdc57413736ecb8f2555712c36d
    Closes-Bug: #1759098

Changed in puppet-trove:
status: In Progress → Fix Released

Change abandoned by Vu Cong Tuan (<email address hidden>) on branch: stable/queens
Review: https://review.openstack.org/568465
Reason: Hi Tobias Urdin,
Thanks for your comment.
This patch will be abandoned then.

Change abandoned by Vu Cong Tuan (<email address hidden>) on branch: stable/queens
Review: https://review.openstack.org/568460

zhongshengping (chdzsp) on 2018-05-23
no longer affects: puppet-keystone/queens

Change abandoned by Vu Cong Tuan (<email address hidden>) on branch: stable/queens
Review: https://review.openstack.org/569920
Reason: Hi Tobias Urdin,
Thanks for your comment.
This change will be abandoned then.

This issue was fixed in the openstack/puppet-neutron 13.1.0 release.

This issue was fixed in the openstack/puppet-nova 13.1.0 release.

This issue was fixed in the openstack/puppet-trove 13.1.0 release.

This issue was fixed in the openstack/puppet-vitrage 3.1.0 release.

This issue was fixed in the openstack/puppet-watcher 13.1.0 release.

zhongshengping (chdzsp) on 2018-10-15
Changed in puppet-barbican:
status: Fix Released → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers